================================================================================
Multi-Core Intel(R) Xeon(R) Processor-Based Server BIOS Development
================================================================================
Kontron 


================================================================================
DATE    : October 27, 2009
TO      : Multi-Core Intel(R) Xeon(R) Processor-Based Server Platform customers
SUBJECT : BIOS Release notes for version R9611
================================================================================
                           LEGAL INFORMATION
================================================================================

Information in this document is provided in connection with Intel Products
and for the purpose of supporting Intel developed server boards and systems.
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation 
may have patents or pending patent applications, trademarks, copyrights, or
other intellectual property rights that relate to the presented subject matter.
The furnishing of documents and other materials and information does not 
provide any license, express or implied, by estoppel or otherwise, to any such
patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation. 

*Other names and brands are the property of their respective owners.

Copyright (C) 2009 Intel Corporation.

Copyright (C) 2009 Kontron.

================================================================================
                              ABOUT THIS RELEASE
================================================================================
Build Stamp : S5000.86B.11.11.0096.10272009
Build Date  : October 27, 2009

================================================================================
                           BIOS COMPONENTS/CONTENTS
================================================================================
Processors supported: 
  Dual-Core Intel(R) Xeon(R) Processor 5000 series w/ 533Mhz/667Mhz/1066Mhz FSB
  Dual-Core Intel(R) Xeon(R) Processor 5100 series w/ 1066Mhz/1333Mhz FSB
  Dual-Core Intel(R) Xeon(R) Processor 5200 series w/ 1066Mhz/1333Mhz FSB
  Quad-Core Intel(R) Xeon(R) Processor 5300 series w/ 1066Mhz/1333Mhz FSB
  Quad-Core Intel(R) Xeon(R) Processor 5400 series w/ 1066Mhz/1333Mhz FSB

Microcode update versions:
CPUID   Version Status  
0F64h   02      Production
0F65h   08      Production
06F6h   CD      Production 
06F7h   69      Production 
06FBh   B7      Production 
10676   60C     Production
1067A   A07     Production


On-Board Component Option ROM Versions:
ATI RN50 VGA    	: BK-ATI YJ20234a VER008.005.023.000
				 YJ18794g (S5000PAL, S5000XAL, S5000PHB)
PXE Ver.        	: Intel(R) Boot Agent GE v1.2.45
ESB2 Option ROM 	: v A.08.09161334I
ESB2 AHCI Option ROM	: iSrc 1.08 09252006

Memory Reference Code Version:  1.32

================================================================================
                       SYSTEM FIRMWARE REQUIREMENTS
================================================================================
BIOS Update Utility: 
IFLASH32 VERSION 1.5.1 Build 7 


================================================================================
                           INSTALLATION NOTES
================================================================================

WARNING:  It is very important to follow these instructions as they are written.
Failure to update using the proper procedure may cause damage to your system.

Update BIOS using bootable USB Flash Drive:

Updating from BIOS revisions R0038 or earlier:
NOTE:  This operation will update both banks of the flash part.  This is necessary
as the Setup options from R0038 and earlier are not compatible with R0039 and later.

NOTE:  BIOS Bank Select jumper needs for be in Normal mode (2-3) during this whole
procedure.

1)  Download release package and extract contents to USB Flash Drive
2)  Verify that the R0096_10.CAP, UPDATE.BAT and IFLASH32.EXE files are present
    on the USB Flash drive
3)  Verify that BIOS Bank Select Jumper is set to Normal mode (2-3).
4)  Power system on and boot to USB Flash Drive
5)  At the command prompt type "update".
6)  Flash update should complete within 3 minutes
7)  Shut down the system but leave it connected to AC power
8)  Clear CMOS by moving the Clear CMOS jumper to the clear position and back.
9)  Boot system and enter BIOS Setup by pressing the F2 Key during POST
10) Verify BIOS string
11) Press F9 to load defaults
12) Press F10 to save and reset the system.
13) Power system on and boot to USB Flash Drive
14) At the command prompt type "update".
15) Flash update should complete within 3 minutes
16) Reboot system and enter BIOS Setup by pressing the F2 Key during POST
17) Verify BIOS string
 

Updating from BIOS revisions R0039 or later:
NOTE:  This operation will only update one bank in the flash part.  This is
recommended in case of a flash update failure that the system can be easily
recovered.

NOTE:  BIOS Bank Select jumper needs for be in Normal mode (2-3) during this
whole procedure.

1) Download release package and extract contents to USB Flash Drive
2) Verify that the R0096.CAP, UPDATE.BAT and IFLASH32.EXE files are present
   on the USB Flash drive
3) Verify that BIOS Bank Select jumper is set to Normal mode (2-3).
4) Power system on and boot to USB Flash Drive
5) At the command prompt type "update".
6) Flash update should complete within 3 minutes
7) Reboot system and enter BIOS Setup by pressing the F2 Key during POST
8) Verify BIOS string


================================================================================
                        BIOS RECOVERY INSTRUCTIONS
================================================================================

BIOS Recovery is not supported. 

Rolling BIOS is supported.

================================================================================
                            KNOWN ISSUES/WORKAROUNDS
================================================================================

-Video mode is set to 80x25 until BIOS defaults are loaded

-PAE mode and the equivalent Linux mode must be set to see > 2.5GB of memory.

NOTE:  Dual-Core Intel(R) Xeon(R) Processor 5100 series DO NOT support Hyper-Threading.
       The OS will only show 2 CPU threads per physical processor installed.
       Quad-Core Intel(R) Xeon(R) Processor 5300 series DO NOT support Hyper-Threading.
       The OS will only show 4 CPU threads per physical processor installed.
NOTE:  BIOS Setup shows the number of physical processors installed and not the
       number of processor cores. For example, when 2 Dual-Core Intel(R) Xeon(R)
       Processor 5100 series are installed, BIOS POST and Setup will only show 2 processors. 

-THIS BIOS ONLY SUPPORTS BETA OR LATER HARDWARE.
 DO NOT APPLY THIS BIOS TO ALPHA HARDWARE.

-IF CMOS IS CLEARED, IT MUST BE CLEARED PER THE INSTALLATION INSTRUCTIONS.

-When two Dual-Core Intel(R) Xeon(R) 5100 series processors are installed,
 an NMI error may appear during POST after updating from BIOS R0054 or earlier
 to BIOS releases after R0054.  This is expected and due to a change in the way
 errors are handled in the newer BIOS release. Perform a full DC power cycle
 (front panel power off and power on) to prevent this message from appearing again.

-As of BIOS R0063, may encounter a system reset upon first boot if previous
 NVRAM corruption has been found.

-As of BIOS R0077, Case Sensitivity support has been added to BIOS Admin/User password.
 If a password was installed using previous BIOS release without Case Sensitivity,
 enter old password in all lower case and then re-install password for proper Case Sensitivity.


================================================================================
                              FEATURES ADDED/REMOVED
================================================================================
-As of BIOS R0052, DIMMs with outdated AMB (Advanced Memory Buffer) component
 present are no longer supported. The system will halt with 3 beeps at POST code
 0xEA to indicate an "Unsupported AMB" error.

-As of BIOS R0056, removed support for Pre-production CPU steppings of the
 Dual-Core Intel(R) Xeon(R) Processor 5000 series.
 This includes processors with CPUID 0F61h, 0F62h, 0F63h.

-As of BIOS R0079, removed support for Pre-production CPU steppings of the
 Dual-Core Intel(R) Xeon(R) Processor 5100 series and Quad-Core Intel(R) Xeon(R)
 Processor 5300 series.
 This includes processors with CPUID 06F4h, 06F5h.

-As of BIOS R0081, removed support for Pre-production CPU steppings of the
 Dual-Core Intel(R) Xeon(R) Processor 5100 series and Quad-Core Intel(R) Xeon(R)
 Processor 5300 series.
 This includes processors with CPUID 06F9h.


================================================================================
                              FIXED ISSUES
================================================================================
================================================================================
                                R0096_11
================================================================================
S5000PHB:
         [x] Errant BMC response can lead to BIOS flash corruption
================================================================================
                                R0096_10
================================================================================
S5000PAL, S5000PHB:
529011 	 [x]Linux intermittently reports memory thermal margin as "disabled"

================================================================================
                                R0096
================================================================================
S5000PAL, S5000XAL:
127869   [x]BIOS88/91 has incorrect UQI value for new BIOS setting
127877   [x]W2K8 BSOD with mixed stepping Harpertown processors (C0 & E0)
127844   [x]"Kernel-Processor-Power" System Event Viewer Errors (if GV3 disabled)

S5000VSA, S5000PSL, S5000XSL, S5000XVN, SC5400RA, S5000VCL:
34202    [x] TAB key not working with console redirection in 3Ware RAID BIOS screen
34424    [x] BMC FW version is showing up in BIOS w/no back plane installed
34787    [x] NIC changes in boot order if PXE boot missed
35001    [x] BCPID missing from R0094
35016    [x] POST slow when ATI HD3870X2 video card in S5000XVN board 
35153    [x] Corrupted text on Boot Option and Boot Order screen
35505    [X] PC-check fails ACPI test on BIOS 94 and not BIOS 85
35632    [X] Vista Enterprise activation failed with OA2.0 enabled BIOS  

OTHER:
 -       CCB 527 - SPREAD SPECTRUM Option (Enable/Disable)
 -       CCB 534 - CMOS switch for AMIBCP
 -       APs contending for Semaphore
 -       Update to LSI SATA SW RAID OpRom v A.08.09161334I
  -      Update Copyright Year in BIOS Setup Screen

================================================================================
                                R0094
================================================================================
S5000PAL, S5000XAL:
127866   [X]Midplane2 has beep sound during post

S5000VSA, S5000PSL, S5000XSL, S5000XVN, SC5400RA, S5000VCL:
33648    [X] Recent Intel RAID cards ctrl+G fails in Star Lake/ Vernonia PCI slot 4
34304    [X] System won't POST w/ Alacritech Gig adapter installed in x8 slots
34346    [x] BIOS89 fail on PCT test for Star Lake and Alcolu  
34566    [x] ATI HD3870X2 stop XP 32bit SP2 shutting down in Vernonia
34631    [x] Issue with BIOS91 and E0-step Harpertown processor
34738    [x] A0 step 5405 CPU + BIOS 91 results in power down hang 

OTHER:
 -       Fix NMI and SEL log policy for Fatal and Non Fatal Memory Errors.
 -       Add Qimonda AMB patch to MRC 1.32 in efforts to reduce M1Err(s).
 -       Improve remote console update performance at 9600 Baud
 -       Update to LSI SATA SW RAID OpRom v A.07.05151334I

================================================================================
                                R0091
================================================================================
S5000PAL, S5000XAL:
127844   "Kernel-Processor-Power" System Event Viewer Errors

S5000VSA, S5000PSL, S5000XSL, S5000XVN, SC5400RA, S5000VCL:
32400    Serial Console redirection is available even if COM ports disabled
33616    [X] Event Log in  OS Displays PPM Disabled Error Event with E5310  
33764    [X] Some Video Cards log Critical interrupt/PCIe Link in SEL in XVN

OTHER:
  -      Added E-0 Harpertown/ Wolfdale-DP microcode (A07)
  -      Updated Harpertown/ Wolfdale-DP microcode (60C)
  -      Add BIOS selectable option to do a hard reset on NMI
  -      Mask Correctable Errors on Port4 (x16 slot) of S5000XVN 
  -      Non Refresh S5000VCL boards need to HALT with Harpertown/Wolfdale
  -      Serial Over LAN (SOL) corruption on BIOS R0086->R0089 

================================================================================
                                R0089
================================================================================
S5000PAL, S5000XAL:
127742   Server fails to NMI on Uncorrectable Errors

S5000VSA, S5000PSL, S5000XSL, S5000XVN, SC5400RA, S5000VCL:
32672    C States not functional for Clovertown processors
32759    [WHQL] TCG Integration Test Fails
33270    DMIEDIT usually fails under Windows PE
33646    Dialogic Display BCPID in BIOS Setup

OTHER:
  -      Enable QR Support in MRC
  -      Added Verb Table for RealTek Alc262 Audio Codec
  -      Quad 474218 BIOS menuing issue with listbox
  -      Remove limit of 16GB Memory on S5000VSA Refresh boards
  -      Update Copyright Year in BIOS Setup Screen
  -      Update LSI SATA SW RAID OpRom v. a_02151557i
  -      Mask replay timeout errors for ATI Video Card
  -      NVRAM corruption problem with boutil /f
  -      Fix WinPE Boot from USB key failure

================================================================================
                                R0088
================================================================================
S5000PAL, S5000XAL:
127828   [X] BIOS84 Incorrect MP table entries
127783   BIOS needs to program SSVID on LSI 1078 MP2

S5000VSA, S5000PSL, S5000XSL, S5000XVN, SC5400RA, S5000VCL:
32539    (WHQL) Common Scenario "Stress With IO" fails

OTHER:
  -     Add setup option to enable/disable USB device moving to top of Boot Order
  -     CCB 481 - ID for files modified with AMIBCP
  -     Add FW_VERSION structure to NV Storage area
  -     Support changing OEMID and OEM TableID with AMIBCP
  -     WBINVD issue, need to increase AP timeout

================================================================================
                                R0087
================================================================================
S5000PAL, S5000XAL:
127842  [WHQL] Windows Server 2008 OS Install fails with BIOS 86

S5000VSA, S5000PSL, S5000XSL, S5000XVN, SC5400RA, S5000VCL:
32801   [WHQL]  Windows 2008 OS Install fails with BIOS 86
32812   (EPSD) Blue Screen installing Server 2008 on StarLake(refresh) with R0086

================================================================================
                                R0086
================================================================================
S5000PAL, S5000XAL:
127774  [x] want to boot Pata over Sata (Legacy Mode)


S5000VSA, S5000PSL, S5000XSL, S5000XVN, SC5400RA, S5000VCL:
32373   [x] Xilinx Virtex-5 Win2K3 BSOD
32410   BIOS cannot update when BMC in Force Update MOde
32498   Legacy Console Remains Active After OS Boot
32669   Date error in BMC SEL TimeStamp for year 2008
32693   [x] Input devices fail Vernonia entering S3 in WinXP

OTHER:
  -     Add SLP 2.0 Support
  -     Add AMISLP support for SLP 2.0
  -     Add S5000xSL de-pop sku support
  -     WHEA - Error Record Serialization misinterpreted by WS 2008
  -     Overlapping Memory Area fixed in PCI 3.0 implementation
  -     Support Infiniband Boot Type
  -     Not all possible P-states made available for Harpertown
  -     Sync SLIC (SLP) Table ID with Platfrom ID
  -     Boot Order Retrofit (internal CCB)
  -     Server hangs under certain COM connection conditions
  -     Microcode Update(s)
	06F6h   CD 
	06F7h   69
	06FBh   B7
	10676   60B

================================================================================
                                R0085
================================================================================
S5000PAL, S5000XAL:
127782  [x] Disabling NIC opROM and I/O Module opROM disabled console redirection
127822  D1 AMB DIMM component errata must have BIOS MRC workaround
127783  Need to remove SAS SWRAID on Alcolu MP2 (w/1078 chip)

S5000VSA, S5000PSL, S5000XSL, S5000XVN, SC5400RA, S5000VCL:
32482 	After offline programming R0084, boot bank is not consistant
32371   Processor Cache Size Mismatch Error 192 has typo
31807   BIOS Setup needs to remove/add SATA Port information
30289   Fix 2 blinking cursors when entrering setup under quiet boot
31826   Video loss when Serial B is disabled but enabled for console redirection
32403   There is an unknown device under Windows2000+SP4
32307   USB mouse and keyboard detected if USB is <Disabled>

  
OTHER:
  -     Performance anomolies in slot4 with Springports and EIRQ enabled
  -     Northbridge shutting down PCIe link with plx device 8533 installed
  -     Trouble entering opROMs that trap int 19
  -     Genuine M15ERR (Accompanied by M13ERR) should have SEL log
  -     Support for Harbison Refresh-2 Board
  -     Use HECBASE to determine PCIE Base Addrs (Fix IBIST errors)
  -     Update Memory Reference code to 1.32
  -     NesikaBeach: Enable Video controller
  -     NesikaBeach: CSM Payload changes
================================================================================
                                R0084
================================================================================
32340 	System will not boot with max memory (8x  4gig DIMMs- 32gigs)  

================================================================================
                                R0083
================================================================================
S5000PAL, S5000XAL:

S5000VSA, S5000PSL, S5000XSL, S5000XVN, SC5400RA, S5000VCL:
31123   [X] Problem with PXE Boot with on-board NIC 
32181   [X] Impossible to boot to any boot device with SRCS28X installed
32282   MTRR configuration issue with G-0 processors
31248   TPM not functional on refresh Vernonia SKU
32207   CLLT configuration reverting back to OLTT after Cntl+Alt+Del

S5000PHB, T5000PAL:
32020   HW RAID configuration not foound after reboot
32192   DMIEDIT failure
  -     MP Table Update

OTHER:
    -	Overheating DIMMs in CLTT
    -   AMIBCP Boot Order Support

================================================================================
                                R0082
================================================================================
S5000PAL, S5000XAL:
127771  Rollback to OLTT does not happen with CLTT incapable DIMM
127774  [X] want to boot PATA above SATA

S5000VSA, S5000PSL, S5000XSL, S5000XVN, SC5400RA, S5000VCL:
30549   Unable to boot to full Linux kernel through Linux payload
31426   GBE can not be detected and trasfer data under DOS 7.0 (NICs fail in DOS)
31818   Duplicate devices in Boot Order after CMOS clear
31701   VMWare 3.0.2 ESX kernel panic during installation

S5000PHB, T5000PAL:
28696   Green status LED driven active in standby (DC Off)
30297   Harbison Ophir Legacy IRQ routing
31538   Add "Harpertown" & "Wolfdale DP" support for Harbson refresh

OTHER:
    -	Add back Altitude Bios Setup Option when OLTT selected
    -   Deep C-State support causes W2K3 without service pack to fail
    -   Add Windows Hardware Error Architecture (WHEA) support
    -   Update Memory Reference code to 1.30
    -   Add Half Ratio support for the "Harpertown" processor
    -	Add 10676h C-0 processor microcode patch for "Harpertown" & "Wolfdale DP"

================================================================================
                                R0081
================================================================================
S5000PAL, S5000XAL:
172022	EFI shell environment variables running out of buffer space
172178  POST screen shows 2 garbage lines in BMC Forced Update Mode

S5000VSA, S5000PSL, S5000XSL, S5000XVN, SC5400RA, S5000VCL:
30300   [X] Addonics SATA CF Card Reader not recognized by BIOS
30272   S5000XVN reboots instead of resumes from S4
30779   [X] Matrox DSX.io and X.effects card not detected
30558   [X] PME Signal waking up system
30765   BIOS hangs when there is no boot targets available on the system
29228   WHQL UAA test fails in Vista 64bit on S5000XVN
31123   [X] Problem with PXE Boot with on-board NIC in BIOS R0078
31379   W2K8 blue screens during install
31559   Some SATA drives not detected on cold boot


S5000PHB, T5000PAL:
127755  BMC Force Update Mode Does not enter BIOS Setup
127757  [X] SLES10 w/SP1 failed to boot w/PCIE HCA installed
127767  Fail to install WIN 2KADV Server w/SP1 


OTHER:
    -	BIOS String Update "Add new CC3 requirements"
    -   Errata 100: ESB2 PCIe switch mis-formats TLPs
    -   MP Routing/Table Fixes
    -   Fix video corruption on Main tab in BIOS Setup w/console redir enabled
    -   Fix Unrecoverable Error Handling problems
    -   Fix kernel panic in Linux with throttled processors
    -   Loading user defaults loads invalid option on the boot order page
    -   Fixed garbled text in BIOS Setup at 115K baud w/console redir
    -   Workaround for DTX PCI-X add-in card blue screen failure.
    -   TPM Status appears in BIOS Setup on boards without TPM.
    -   Update ESB2 RAID OpRom to vA.01.07101204I
    -   Enable fake MSI for S5000PSL Slot4
    -   Add support of depop SKU based off of S5000PSL
    -   WHQL test failure on I/O Port 161 and 162
    -	Add 06F6h B-2 processor microcode patch M046F6C9 for the Dual-Core
    -	Add 06F7h B-3 processor microcode patch M406F767 for the Quad-Core
    -   Allow B-step/G-step mixed stepping for 5100 and 5300 series processors


[END OF RELEASE NOTES]
